# Get ephemeral TTL status for a workspace

Returns whether ephemeral TTL is enabled and related metadata.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/ephemeral-config
Version: 1.0
Security: x-api-key

## Query parameters:

  - `provisioner` (string)
    Provisioner key (defaults to opentofu when omitted)
    Example: "Explicabo labore."

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "7p"

  - `project` (string, required)
    Project is the project identifier.
    Example: "4v"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Officiis consequuntur placeat accusantium quam eum."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "c"

## Response 200 fields (application/json):

  - `delete_at` (string)
    Scheduled deletion timestamp (ISO 8601)
    Example: "Iste neque et sit placeat."

  - `delete_workspace` (boolean)
    Whether workspace will be deleted after destroy
    Example: true

  - `destroy_at` (string)
    Scheduled destruction timestamp (ISO 8601)
    Example: "Rem enim aut incidunt at."

  - `enabled` (boolean, required)

  - `pipeline_id` (string)
    Example: "Explicabo iusto excepturi et quae."

  - `trigger_id` (string)
    Harness trigger ID for the destroy schedule
    Example: "Quos optio amet."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


